
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Dubbo实战一：快速入门 [译] / iVAN</title>

    <meta name="description" content="Dubbo实战一：快速入门 [译] 一.简介 Dubbo不单单只是高性能的RPC调用框架,更是SOA服务治理的一种方案. 核心: 1. 远程通信,向本地调用一样调用远程方法. 2. 集群容错 3. 服务自动发现和注册,可平滑添加或者删除服务提供者. 二.快速入门 环境:Maven,git,jdk 1. 克隆dubbo开源项目 cd ~ git clone https://github.com/alibaba/dubbo.git 2. Maven编译项目 cd ~/dubbo mvn clean install -Dmaven.te">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Dubbo实战一：快速入门 [译]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、简介</p>
<p>Dubbo不单单只是高性能的RPC调用框架，更是SOA服务治理的一种方案。</p>
<p>核心：</p>
<p>1. 远程通信，向本地调用一样调用远程方法。</p>
<p>2. 集群容错</p>
<p>3. 服务自动发现和注册，可平滑添加或者删除服务提供者。</p>
<p>二、快速入门</p>
<p>环境：Maven，git，jdk</p>
<p>1. 克隆dubbo开源项目</p>
<ol>
<li><code>cd ~</code></li>
<li><code>git clone https://github.com/alibaba/dubbo.git</code></li>
</ol>
<p>2. Maven编译项目</p>
<ol>
<li><code>cd ~/dubbo</code></li>
<li><code>mvn clean install -Dmaven.test.skip ## 跳过测试</code></li>
</ol>
<p>下面核心点有：zookeeper作为注册中心（服务订阅和发布依托于注册中心）、服务生产者（提供服务）项目、服务生产者（提供服务）项目和监控Web项目。</p>
<p>过程如下：</p>
<p>3. 下载启动zk</p>
<ol>
<li><code>cd ~</code></li>
<li><code>## 下载解压</code></li>
<li><code>wget http://www.apache.org/dist//zookeeper/zookeeper-3.3.3/zookeeper-3.3.3.tar.gz</code></li>
<li><code>tar zxvf zookeeper-3.3.3.tar.gz</code></li>
<li><code>## 启动</code></li>
<li><code>cd ../bin</code></li>
<li><code>./zkServer.sh start</code></li>
</ol>
<p><strong>下面项目遇到target目录中编译好的项目为xxx.tar.gz。请自行用下面命令解压：</strong></p>
<ol>
<li><code>tar zxvf XXX.tar.gz</code></li>
</ol>
<p>4. 启动服务消费者</p>
<ol>
<li><code>cd ~/dubbo/dubbo-demo/dubbo-demo-consumer/target/dubbo-demo-consumer-2.5.4-SNAPSHOT/conf</code></li>
<li><code>vim dubbo.properties</code></li>
<li><code>   - edit: dubbo.registry.adddress=zookeeper://127.0.0.1:2181 ## 更改注册中心为zk</code></li>
<li><code>cd ../bin</code></li>
<li><code>sh ./start.sh</code></li>
</ol>
<p>5. 启动服务生产者</p>
<ol>
<li><code>cd ~/dubbo/dubbo-demo/dubbo-demo-provider/target/dubbo-demo-provider-2.5.4-SNAPSHOT/conf</code></li>
<li><code>vim dubbo.properties</code></li>
<li><code>  - edit: dubbo.registry.adddress=zookeeper://127.0.0.1:2181</code></li>
<li><code>cd ../bin</code></li>
<li><code>sh ./start.sh</code></li>
</ol>
<p>其实到这里已经o了，可以打开生产者消费者项目的log进行查看：</p>
<ol>
<li>## 打开消费者的log</li>
<li><code>cd dubbo-demo-consumer/target/dubbo-demo-consumer-2.5.4-SNAPSHOT/logs</code></li>
<li><code>tail -f dubbo-demo-consumer.log</code></li>
</ol>
<p>熟悉的Hello,World的案例coming…</p>
<p>6. 启动监控Web项目</p>
<ol>
<li><code>cd ~/dubbo/dubbo-simple/dubbo-monitor-simple/target/dubbo-monitor-simple-2.5.4-SNAPSHOT/conf<br /></code></li>
<li><code>vim dubbo.properties<br /></code></li>
<li><code>   - edit: dubbo.registry.adddress=zookeeper://127.0.0.1:2181<br /></code></li>
<li><code>cd ../bin./start.sh<br /></code></li>
<li><code>## 浏览器访问<br /></code></li>
<li><code>http://127.0.0.1:8080</code></li>
</ol>
<p>可以在监控中看到消费者，生产者实例等信息</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 22:49:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Dubbo实战一：快速入门 [译]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr1Z6b.html" rel="bookmark">CSS样式表一席谈之CSS快速入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|快速入门|样式表 在当今的网页制作中,几乎所有漂亮的网页都用了CSS. CSS是 Cascading Style Sheet的缩写,有些书上把它译为 &quot;层叠样式表&quot;.有了CSS的控制,我们的网页便会给人一种赏心悦目.工工整整的感觉,同时字体的色彩变化也使主页变得更加生动活泼.虽然只短短的十几行代码,得到的效果却不同凡响.其基本用法是在网页中插入如下格式的一段代码: 下面以一段比较典型的CSS代码为例介绍其具体用法. 例:这段代码 中间的部分共七行,可看出有这样的特点:前两行的格			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgDw5p.html" rel="bookmark">CSS快速入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|快速入门     在当今的网页制作中,几乎所有漂亮的网页都用了CSS. CSS是 Cascading Style Sheet的缩写,有些书上把它译为 &quot;层叠样式表&quot;.有了CSS的控制,我们的网页便会给人一种赏心悦目.工工整整的感觉,同时字体的色彩变化也使主页变得更加生动活泼.虽然只短短的十几行代码,得到的效果却不同凡响.其基本用法是在网页中插入如下格式的一段代码: 下面以一段比较典型的CSS代码为例介绍其具体用法. 例:这段代码 中间的部分共七行,可看出有这样的特点:前两行的格			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnaB0M.html" rel="bookmark">&period;NET之ASP Web Application快速入门&lpar;1&rpar;&lpar;转载&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				application|web|快速入门 什么是 ASP.NET Application ? ASP.NET这么定义Application:它是运行在Web应用服务器上的一个虚拟目录及其子目录下的所有文件.页面.模块以及可执行代码的总和.比如说,一个叫做&quot;order&quot;的application可能就是Web服务器的一个&quot;/order&quot;虚拟目录.虚拟目录可以通过Internet Services Manager设置,它可以包含任何子目录. Web服务器上的每一个ASP.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl3NOb.html" rel="bookmark">&period;NET之ASP WebApplication快速入门&lpar;5&rpar;（转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				application|web|快速入门 创建自定义HttpHandler 要自定义一个handler,可以执行IhttpHandler,并在config.web文件的httphandlers一节中添加类信息.下面举例说明如何创建自定义一个HttpHandler,将所有的请求对应到&quot;SimpleHandler.aspx&quot;中: SimpleHandler []点击运行程序] | []查看源代码] 自定义HttpHandler可以通过执行IhttpHandler接口来创建,这个接口只有两个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV01PmM.html" rel="bookmark">Yii2框架制作RESTful风格的API快速入门教程&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家说下什么是REST restful REST全称是Representational State Transfer,中文意思是表述(编者注:通常译为表征)性状态转移. 它首次出现在2000年Roy Fielding的博士论文中,Roy Fielding是HTTP规范的主要编写者之一. 他在论文中提到:&quot;我这篇文章的写作目的,就是想在符合架构原理的前提下,理解和评估以网络为基础的应用软件的架构设计,得到一个功能强.性能好.适宜通信的架构.REST指的是一组架构约束条件和原则.&quot; 如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6wXjWp.html" rel="bookmark">Yii2框架制作RESTful风格的API快速入门教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家说下什么是REST restful REST全称是Representational State Transfer,中文意思是表述(编者注:通常译为表征)性状态转移. 它首次出现在2000年Roy Fielding的博士论文中,Roy Fielding是HTTP规范的主要编写者之一. 他在论文中提到:&quot;我这篇文章的写作目的,就是想在符合架构原理的前提下,理解和评估以网络为基础的应用软件的架构设计,得到一个功能强.性能好.适宜通信的架构.REST指的是一组架构约束条件和原则.&quot; 如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGJA3p.html" rel="bookmark">《R语言游戏数据分析与挖掘》一2&period;1　开发环境准备和快速入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 开发环境准备和快速入门 2.1.1 R语言简介 R语言的前身是S语言,S语言是由AT &amp;T Bell实验室的Rick Becker.John Chambers和Allan Wilks开发的一种用来进行数据探索.统计分析.作图的解释型语言.最初S语言的实现版本主要是S-PLUS.S-PLUS是一个商业软件,它基于S语言,并由MathSoft公司的统计科学部进一步完善.而R语言最初由来自新西兰大学的Ross Ihaka和Robert Gentleman开发(由于他们的名字都以R开头,所以该软			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJA8Dp.html" rel="bookmark">数据库快速入门教程--视频</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库快速入门教程--视频 下载地址:http://v.51work6.com/courseInfoRedirect.do?action=courseInfo&amp;courseId=240579 本课程是这个课程体系的核心之一,为软件开发人员所需数据库知识的学习教材,而不是培训一个DBA(数据库管理员),更具体的说是为Web开发程序员所需数据库知识的学习教材.基于培养程序员的目标,本课程对数据库和SQL语句的相关知识进行了深刻地阐明和分析,学习的重点是标准SQL语句的学习的掌握.常用数据库MySQL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6Y3Jb.html" rel="bookmark">GridView实战一：自定义分页、排序、修改、插入、删除</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 在某次公司面试时被问到对GridView操作的熟悉程度,在那之前一直用Repeater内嵌table标签对GridView操作确实很 少,于是最近在项目的后台上对GridView进行了一番实操,本文和后面的另一篇GridView实战二:使用ObjectDataSource数据源 控件均是这段时间的一些总结. GridView优点就是集数据绑定.分页.排序.删.改于一身,提高了开发效率:缺点嘛,就是运行效率低,并且它本身不带添加功能.于是GridView用于后台开发是一个不错的选择,而前台			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE6ZMR.html" rel="bookmark" class="title">无法启动承载网络解决方法</a>
					<div>
						是不是很多朋友都遇到了无法启动承载网络 连到系统上的设备没有发挥作用的错误提示呢?如果是的话就可以参考本文为大家介绍的解决方法啦. 这个问题通常出现在我们想要共享无线网络的时候,比如通过下面这三条命令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zem48z.html" rel="bookmark" class="title">Web体验的设计师&colon;响应式网页设计的陷阱</a>
					<div>
						文章简介:虽然响应式Web设计仍处于发展初期,但已经有很多指导和最佳实践,当你创建可跨设备工作的设计时可以采用.对于那些希望为使用不同设备的用户提供顶尖Web体验的设计师来说,则需要更多的思考与努力. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBRxOb.html" rel="bookmark" class="title">Dreamweaver技巧大放送前六招</a>
					<div>
						dreamweaver|技巧 以目前的情况来说,Dreamweaver 内建的功能可说是越作越多.越作越丰富.齐备.在这里我要向大家介绍的4.0版本中的一些应用小技巧. 1. 让网页页面更有弹性    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9qLvM.html" rel="bookmark" class="title">Struts行为测试框架StrutsTestCase实战</a>
					<div>
						阅读提要 StrutsTestCase是一个强有力的易于使用的针对Struts行为的测试框架.StrutsTestCase,并与传统型JUnit测试相结合,将会带给你一个相当高的测试覆盖率并提高你的产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWq9Ez.html" rel="bookmark" class="title">JavaScript面向对象的支持&lpar;6&rpar;</a>
					<div>
						javascript|对象 ======================================================================Qomolangma OpenP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXJkAb.html" rel="bookmark" class="title">分享：处理Excel方法小结</a>
					<div>
						excel 常常看到如何处理Excel文件的提问,这里小结一下,欢迎大家补充. ▲1.通过Excel的接口操作★限制:需要安装Excel▲1．1.采用interop方式.参考:&lt;Creating ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK2NWz.html" rel="bookmark" class="title">C语言中函数的返回值</a>
					<div>
						在讲&quot;函数与程序结构&quot;这一章中,有这样一句话:&quot;如果某个函数从一个地方返回时有返回值,而从另一个地方返回时没有返回值,该函数并不非法,但可能是一种出问题的征兆.&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl92db.html" rel="bookmark" class="title">把new、virtual、override说透</a>
					<div>
						我们先看下面一段程序: /// &lt;summary&gt; /// 父类 /// 作者:周公 /// 首发地址:http://blog.csdn.net/zhoufoxcn/archive/200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK71Adb.html" rel="bookmark" class="title">手机设置tplink路由器的方法</a>
					<div>
						  手机设置tplink的方法 1.用手机搜索连接的无线路由器,并紧紧连接(默认没有密码). 2.连接成功后,打开浏览器输入路由器管理地址:192.168.1.1. 在弹出的登录窗口中输入默认的管理帐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG445p.html" rel="bookmark" class="title">网络接入之网线的几种做法</a>
					<div>
						  首先我们最常用的网线有3种 第一种是:直通电缆 第二种是:交叉电缆 第三种是:反转电缆 第一种是直通电缆,直通线,又叫正线或者是标准线,两端都采用568B 做线标准,注意两边都是同样的线序并且一一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8k6Gb.html" rel="bookmark" class="title">图像特效------三角几何应用</a>
					<div>
						一:基本的三角函数知识 同样根据a, b的值可以计算出角度θ值,称之为反三角函数,角度θ=atan2(a, b) 图像处理中应用三角函数常常把中心点设置为A点,任意像素点B到A的距离可以根据三 角函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lwOrb.html" rel="bookmark" class="title">后PC时代较劲苹果安卓 Windows RT深入评测</a>
					<div>
						微软Windows 8操作系统的推出,说明了一个PC时代的开始,Win8的目标正是落实到整合PC和移动操作系统平台上.在这个后PC时代,微软除了Windows 8,同时还推出了移动智能平台上的另外一款 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y6kVM.html" rel="bookmark" class="title">阿里云 我的每日功课</a>
					<div>
						  1999年8月13日,我学会了开关PC台式电子计算机,很快学会了上互联网冲浪浏览信息. 9月份,学会了在网上聊天.发电子邮件,12月份,我开始学会了制作简单网页,利用363.NET的免费空间制作了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYkLap.html" rel="bookmark" class="title">selenium使用火狐浏览器做自动化时一直弹出导入数据，如何去掉这个</a>
					<div>
						问题描述 selenium使用火狐浏览器做自动化时一直弹出导入数据,如何去掉这个 希望有大神能解答一下,在安装目录下没找到profile这个文件 解决方案 http://zhidao.baidu.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKL8Bb.html" rel="bookmark" class="title">js检测text文本输入框中是否有html代码</a>
					<div>
						JavaScript检查,看看是否有HTML标签在文本框内,使用面积的形式.如果他们被发现,它们被删除. &lt;SCRIPT LANGUAGE=&quot;JavaScript&quot;&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm6kvM.html" rel="bookmark" class="title">H3C中小企业数据备份恢复解决方案</a>
					<div>
						一体化的备份解决方案 快速的备份和恢复性能 极高的可靠性 业界领先的备份恢复技术 合成全备份 直接访问恢复技术 智能恢复 小颗粒精确恢复 断点续传便捷的操作和管理 配置简单:备份软件.虚拟磁带库组合  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xQZdb.html" rel="bookmark" class="title">阿里数据库内核月报：2015年04月</a>
					<div>
						# 01 MySQL · 引擎特性 · InnoDB undo log 漫游 # 02 TokuDB · 产品新闻 · RDS TokuDB小手册 # 03 TokuDB · 特性分析 · 行锁(ro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqrd8p.html" rel="bookmark" class="title">代码-C语言转义字符的使用问题</a>
					<div>
						问题描述 C语言转义字符的使用问题 #include &quot;stdio.h&quot; void main() { printf(&quot; ab ctderftg&quot;); } #in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEmjvM.html" rel="bookmark" class="title">js base64编码 支持中文</a>
					<div>
						问题描述 在网上发现一个可以支持中文的js base64,可以编,可以解,也可以用PHP的base64_decode函数解:js的内容:var keyStr = &quot;ABCDEFGHIJKLM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn4Q5M.html" rel="bookmark" class="title">aspnet-asp&period;net实现对xmldtd文件的增删改</a>
					<div>
						问题描述 asp.net实现对xmldtd文件的增删改 为什么我在后台代码中引用的时候说我实体没法用?还有就是怎么把xml的dtd的内容和第一行也显示出来呢???求助!!!非常感谢!!!1 xml文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy9e2z.html" rel="bookmark" class="title">【力荐】Exadata火线救援：10TB级数据修复经典案例详解！</a>
					<div>
						凌晨1点半,朦胧中电话铃狂响,某Exadata严重故障--. 跟Salesforce巧合的是,大家都是运行在Exadata上,不幸的是Salesforce丢失了4个小时数据(后续没看到新闻稿,是否又追 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWra8z.html" rel="bookmark" class="title">鸿海精密工业股份有限公司给出了加薪计划的不完全细节</a>
					<div>
						显示部分工人的最低薪资将增长一倍多.这是这家电子产品制造企业在发生一系列员工自杀事件后为改善工作条件而采取的最新措施.周日公布的加薪计划影响到鸿海在深圳的员工.鸿海在中国大陆雇有员工约80万人,其中超 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk4r9M.html" rel="bookmark" class="title">IIS 8&period;5下设置404错误页图文教程&lowbar;win服务器</a>
					<div>
						问题描述 搭建一个测试网站,总共就2个页面(index.php和404.php),默认首页为:index.php 当访问index.php和404.php的时候,IIS服务器能正常响应,说明在IIS  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QoPaM.html" rel="bookmark" class="title">PHP中上传多个文件到服务器实例</a>
					<div>
						实例说明 上传图片到服务器,是程序开发过程中必不可少的一个功能.它不但可以达到图片共享的目的,而且可以提高网站的访问量,丰富网站的内容.在本实例中,讲解如何通过POST方式实现多图片上传. 关键技术  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk1N2z.html" rel="bookmark" class="title">近五成网民不想生孩子</a>
					<div>
						专家提醒,24~29岁为适宜生育年龄 本报讯 (记者卢文洁)13.7亿人,这是第六次人口普查登记的全国总人口数字,2000年到2010年的10年之间,人口净增长7000余万人,比1990年到2000年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1xd0b.html" rel="bookmark" class="title">关于ajax&period;selectExt 的问题</a>
					<div>
						问题描述 functionEvaluationAction(value,row){varDd_Detailcode='EvaluationContent';varHtmlRows='';ajax.se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWxJlz.html" rel="bookmark" class="title">这到底哪儿错了啊！！！！</a>
					<div>
						问题描述 这是jsp里的&lt;%@taglibprefix=&quot;nrt&quot;uri=&quot;WEB-INF/tlds/NumReset.tld&quot;%&gt;&lt;nrt: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd4lKz.html" rel="bookmark" class="title">Android记事本开发之界面设计</a>
					<div>
						不得不提一下ADT自带的手机截屏很方便,就在DDMS里可以找到. main.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4ELjb.html" rel="bookmark" class="title">关于jdbcTemplate的疑问</a>
					<div>
						问题描述 引用 解决方案 恩,以前依照源代码为准,我前面是臆想解决方案二:JdbcTemplate用了ThreadLocal,使各线程能够保持各自独立的一个对象,其实就是一个变量副本,实现了线程安全. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmJVap.html" rel="bookmark" class="title">java如何去请求远程的servlet 的post请求&lpar;需要带参数&rpar;</a>
					<div>
						问题描述 java如何去请求远程的servlet,并且带着参数,在servlet中用getParameter可以获取参数,求大神... 解决方案 解决方案二:HttpClient解决方案三:HttpC ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
